// ~~ Generated by Modular Boilerplate ~~
import copy from 'rollup-plugin-copy';
import { sharedPlugins } from './rollup.plugins.mjs';
import { artefactPlugins } from './rollup.artefact.plugins.mjs';

export default {
  input: 'src/app.prerender.tsx',
  output: {
    file: './dist/prerender/app.prerender.build.js',
    name: 'prerender',
    format: 'cjs',
  },
  plugins: [
    copy({
      targets: [
        { src: 'src/app.prerender.d.ts', dest: './dist/prerender/src' },
      ],
    }),
    ...sharedPlugins,
    ...artefactPlugins,
  ],
};
